Package com.google.android.exoplayer2.text.webvtt

## Class Mp4WebvttDecoder

- java.lang.Object
- - com.google.android.exoplayer2.decoder.SimpleDecoder<SubtitleInputBuffer,​SubtitleOutputBuffer,​SubtitleDecoderException>
  - - com.google.android.exoplayer2.text.SimpleSubtitleDecoder
    - - com.google.android.exoplayer2.text.webvtt.Mp4WebvttDecoder

- All Implemented Interfaces:
    `Decoder<SubtitleInputBuffer,​SubtitleOutputBuffer,​SubtitleDecoderException>`, `SubtitleDecoder`

      public final class Mp4WebvttDecoder
      extends SimpleSubtitleDecoder

  A `SimpleSubtitleDecoder` for Webvtt embedded in a Mp4 container file.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Mp4WebvttDecoder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Subtitle` | `decode​(byte[] data, int length, boolean reset)` | Decodes data into a `Subtitle`.

    - ### Methods inherited from class com.google.android.exoplayer2.text.SimpleSubtitleDecoder

      `createInputBuffer, createOutputBuffer, createUnexpectedDecodeException, decode, getName, setPositionUs`

    - ### Methods inherited from class com.google.android.exoplayer2.decoder.SimpleDecoder

      `dequeueInputBuffer, dequeueOutputBuffer, flush, queueInputBuffer, release, releaseOutputBuffer, setInitialInputBufferSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.decoder.Decoder

      `dequeueInputBuffer, dequeueOutputBuffer, flush, queueInputBuffer, release`

- - ### Constructor Detail

    - #### Mp4WebvttDecoder

          public Mp4WebvttDecoder()

  - ### Method Detail

    - #### decode

          protected Subtitle decode​(byte[] data,
                                    int length,
                                    boolean reset)
                             throws SubtitleDecoderException

      Description copied from class: `SimpleSubtitleDecoder`
      Decodes data into a `Subtitle`.
      Specified by:
        `decode` in class `SimpleSubtitleDecoder`
      Parameters:
        `data` - An array holding the data to be decoded, starting at position 0.
        `length` - The number of bytes from `data` to be decoded.
        `reset` - Whether the decoder must be reset before decoding.
      Returns:
        The decoded `Subtitle`.
      Throws:
        `SubtitleDecoderException` - If a decoding error occurs.